Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::ZkProver< Field, ReedSolomonFactory > Class Template Reference
Inheritance diagram for proofs::ZkProver< Field, ReedSolomonFactory >:
[legend]
Collaboration diagram for proofs::ZkProver< Field, ReedSolomonFactory >:
[legend]

## Public Member Functions
| ZkProver (const Circuit< Field > &CIRCUIT, const Field &F, const ReedSolomonFactory &rs_factory)
void | commit (ZkProof< Field > &zkp, const Dense< Field > &W, Transcript &tp, RandomEngine &rng)
bool | prove (ZkProof< Field > &zkp, const Dense< Field > &W, Transcript &tsp)
void | fill_pad (RandomEngine &rng)
Public Member Functions inherited from proofs::ProverLayers< Field >
| ProverLayers (const Field &f)
std::unique_ptr< Dense< Field > > | eval_circuit (inputs *in, const Circuit< Field > *circ, std::unique_ptr< Dense< Field > > W0, const Field &F)

## Data Fields
const Circuit< Field > & | c_
const size_t | n_witness_
const Field & | f_
const ReedSolomonFactory & | rsf_
Proof< Field > | pad_
std::vector< Elt > | witness_
std::vector< LigeroQuadraticConstraint > | lqc_
std::unique_ptr< LigeroProver< Field, ReedSolomonFactory > > | lp_

## Additional Inherited Members
Public Types inherited from proofs::ProverLayers< Field >
using | inputs = std::vector<std::unique_ptr<Dense<Field>>>
Protected Member Functions inherited from proofs::ProverLayers< Field >
void | prove (Proof< Field > *pr, const Proof< Field > *pad, const Circuit< Field > *circ, const inputs &in, ProofAux< Field > *aux, bindings &bnd, TranscriptSumcheck< Field > &ts, const Field &F)
Protected Attributes inherited from proofs::ProverLayers< Field >
const Field & | f_

The documentation for this class was generated from the following file:

- lib/zk/zk_prover.h